curl -X GET "https://api.usegately.com/api/v1/members/mem_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "mem_abc123",
"email": "john@example.com",
"full_name": "John Doe",
"avatar_url": "https://example.com/avatar.jpg",
"status": "active",
"plan_id": "plan_pro",
"plan": {
"id": "plan_pro",
"name": "Pro Plan",
"price": 29
},
"metadata": {
"company": "Acme Inc",
"role": "developer"
},
"last_login_at": "2024-01-20T14:30:00Z",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
Members
Get Member
Retrieve a single member by ID
GET
/
api
/
v1
/
members
/
{id}
curl -X GET "https://api.usegately.com/api/v1/members/mem_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "mem_abc123",
"email": "john@example.com",
"full_name": "John Doe",
"avatar_url": "https://example.com/avatar.jpg",
"status": "active",
"plan_id": "plan_pro",
"plan": {
"id": "plan_pro",
"name": "Pro Plan",
"price": 29
},
"metadata": {
"company": "Acme Inc",
"role": "developer"
},
"last_login_at": "2024-01-20T14:30:00Z",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
Path Parameters
The member’s unique identifier
Response
Whether the request was successful
The member object
Show Member properties
Show Member properties
Unique member identifier
Member’s email address
Member’s full name
URL to member’s avatar
Member status:
active, inactive, pendingAssociated plan ID
Plan details (if expanded)
Custom metadata
ISO 8601 timestamp of last login
ISO 8601 timestamp of creation
ISO 8601 timestamp of last update
curl -X GET "https://api.usegately.com/api/v1/members/mem_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "mem_abc123",
"email": "john@example.com",
"full_name": "John Doe",
"avatar_url": "https://example.com/avatar.jpg",
"status": "active",
"plan_id": "plan_pro",
"plan": {
"id": "plan_pro",
"name": "Pro Plan",
"price": 29
},
"metadata": {
"company": "Acme Inc",
"role": "developer"
},
"last_login_at": "2024-01-20T14:30:00Z",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:30:00Z"
}
}
Was this page helpful?
⌘I